# TODO: build with ncursesw
# TODO: split fotorec, build with ewf?
# https://www.uitwisselplatform.nl/projects/libewf/
%define REL %nil
Name: testdisk
Version: 6.9
Release: alt2

Summary: Tool to check and undelete partition
Summary(ru_RU.UTF8): Программа для проверки и восстановления разделов диска

License: LGPL
Group: System/Configuration/Hardware

Url: http://www.cgsecurity.org/wiki/TestDisk

Packager: Vitaly Lipatov <lav@altlinux.ru>

%define tarname %name-%version%REL
Source: http://www.cgsecurity.org/%tarname.tar.bz2
#Patch: %name-%version.patch

# manually removed: libprogsreiserfs-devel upx
# Automatically added by buildreq on Sun Jul 17 2005
BuildRequires: libe2fs-devel libjpeg-devel libncurses-devel libntfs-devel libtinfo-devel

%description
Tool to check and undelete partition. Works with the following
partitions:
 - BeFS ( BeOS )
 - BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
 - CramFS (Compressed File System)
 - DOS/Windows FAT12, FAT16 and FAT32
 - HFS, Hierarchical File System
 - JFS, IBM's Journaled File System
 - Linux Ext2 and Ext3
 - Linux Raid
 - Linux Swap (versions 1 and 2)
 - LVM and LVM2, Linux Logical Volume Manager
 - Netware NSS
 - NTFS ( Windows NT/2K/XP/2003 )
 - ReiserFS 3.5 and 3.6
 - UFS (Sun/BSD/...)
 - XFS, SGI's Journaled File System

%description -l ru_RU.UTF8
Программа для проверки и восстановления разделов диска.
Поддерживает следующие типы разделов:
 - BeFS ( BeOS )
 - BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
 - CramFS (Compressed File System)
 - DOS/Windows FAT12, FAT16 and FAT32
 - HFS, Hierarchical File System
 - JFS, IBM's Journaled File System
 - Linux Ext2 and Ext3
 - Linux Raid
 - Linux Swap (versions 1 and 2)
 - LVM and LVM2, Linux Logical Volume Manager
 - Netware NSS
 - NTFS ( Windows NT/2K/XP/2003 )
 - ReiserFS 3.5 and 3.6
 - UFS (Sun/BSD/...)
 - XFS, SGI's Journaled File System

%prep
%setup -q -n %tarname
#%patch -p1

%build
%configure
%make_build

%install
%makeinstall_std
rm -rf %buildroot%_docdir/%name-%{version}*

%files
%_sbindir/*
%doc AUTHORS ChangeLog NEWS README THANKS doc
%_man1dir/*

%changelog
* Fri Feb 15 2008 Vitaly Lipatov <lav@altlinux.ru> 6.9-alt2
- release

* Thu Jan 10 2008 Vitaly Lipatov <lav@altlinux.ru> 6.9-alt1beta
- beta version 6.9

* Tue Nov 13 2007 Vitaly Lipatov <lav@altlinux.ru> 6.8-alt1
- new version 6.8 (with rpmrb script)

* Thu Jun 28 2007 Vitaly Lipatov <lav@altlinux.ru> 6.7-alt1
- new version 6.7 (with rpmrb script)

* Tue Feb 20 2007 Vitaly Lipatov <lav@altlinux.ru> 6.6-alt1
- new version 6.6 (with rpmrb script)

* Sun Oct 22 2006 Vitaly Lipatov <lav@altlinux.ru> 6.5-alt1
- new version 6.5, fix Url
- remove the patch

* Fri Jun 23 2006 Vitaly Lipatov <lav@altlinux.ru> 6.4-alt0.2
- add patch from the author

* Thu Jun 22 2006 Vitaly Lipatov <lav@altlinux.ru> 6.4-alt0.1
- new version 6.4 (with rpmrb script)

* Thu Mar 09 2006 Vitaly Lipatov <lav@altlinux.ru> 6.3-alt0.1
- new version (6.3)
- remove generic INSTALL

* Thu Dec 22 2005 Vitaly Lipatov <lav@altlinux.ru> 6.2-alt0.1
- new version

* Fri Nov 04 2005 Vitaly Lipatov <lav@altlinux.ru> 6.1-alt0.1
- new version

* Fri Aug 26 2005 Vitaly Lipatov <lav@altlinux.ru> 5.9-alt0.1
- rebuild with new libntfs
- new version 

* Fri Apr 08 2005 Vitaly Lipatov <lav@altlinux.ru> 5.7-alt0.1beta
- new version (beta)

* Sat Nov 27 2004 Vitaly Lipatov <lav@altlinux.ru> 5.5-alt1
- new version (with new version of libntfs support)

* Mon Nov 08 2004 Vitaly Lipatov <lav@altlinux.ru> 5.4-alt1
- new version

* Sun Jun 06 2004 Vitaly Lipatov <lav@altlinux.ru> 5.3-alt1
- all featured new version

* Sun Feb 22 2004 Vitaly Lipatov <lav@altlinux.ru> 5.1-alt0.1
- first build for Sisyphus (without reiserfs and ntfs detalizing)
